IT: OTS (China) -0000 #443

v4.0: Order detail - Step 1
10/29/2024 11:36 AM - Junyi Zhang

Status: aoo Start date: 12/25/2024
Priority: aa Due date: 02/14/2025
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 80.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description
Background
1. New requirement for v4.0 OTS
See: OneDrive\l00000000000\Shanghai Group - IMIO0MoTS vall00
Task List
1. List the functions related to the order Detail No Function D/M R/W Done/To-D Others
o)
1 Display D/M R Done
order detail
2 Upload/do |[D/M R/W To-Do
wnload/rem
ove attach
files
3 Upload/do |[D/M R/W To-Do
wnload/rem
ove product
proof
images
4 Edit order D/M W To-Do
5 Add/Remov |D/M w To-Do
e order
Task Details
1. Order detail: mobile
2. Extra:
1. Update order_history: Only order_status is changed -> update order_history
Questions:
1. mobile (page 16): order detail Ilinput date]1000000000000
(04. Dorder list000000 OO0000000000000000000000000000
(02. 00000000wordl00000ODOD
Al 000000orderlcreate datell
v4 coding standard:
1. GitlD
#xxx(redmine number): xxx(redmine title) - xxx(U000000)
2.1000
2.1: [00Public -> Protected -> Private
2.2: 1000000sBX
Il
3. 000000Modell
3.1: 0000000000modelllsystem
:D3.2: v3/vallmodelll000000000 order.php, order_v3.php
4. 0000
tDwig, is, css (s, cssUO00000essO0M)

5.0000
lEl/IVCL (LOenlcn)

6. 00
1.000

/**

*

XXX

@copyright RedBlue-0TS 2024
@version vi4

* ok o

*

*/
2. 00000000 + 00000
/**
* @param XXX S$XXX

* @param xxx S$XXX
* @return xxx

Output
® Report and Solution

Others

Related issues:
Copied to 000 #456: v4.0: Order detail - Step 2 (Niko)

ooo

05/16/2025

05/30/2025

History

#1 - 11/22/2024 10:47 AM - Junyi Zhang

- Description updated

#2 - 12/06/2024 07:33 PM - Xihua Fan

- Due date changed from 11/22/2024 to 12/31/2024
- Start date changed from 11/15/2024 to 12/16/2024
- Estimated time changed from 100.00 h to 80.00 h

#3 - 12/19/2024 12:16 PM - Junyi Zhang

- Description updated

#4 - 12/25/2024 10:56 AM - Xihua Fan
- Status changed from 10l to0010
- Start date changed from 12/16/2024 to 12/25/2024

#5 - 01/02/2025 01:20 PM - Junyi Zhang

Output (2025/02/06 - 2025/02/08) (2025/01/21 - 2025/01/23), (2024/12/30 - 2025/01/8)

Done:

1. Functions:

12/20/2025

2/4




1. Common(Ul): Order detail(sidepanel).
- Desktop(slide out from right and 60vw), mobile(slide out from right and 100vw)
- Click any of order list will allow open order detail
- Add web/catalog/view/theme/default/stylesheet/svg/file-types/xxx.svg as the icon of files
- Add easyDingZhi.common.collapsible and use collapsible method to open/close order products. About the dynamic max-height, i add the
resetHeight function to adjust the max-height of collapsible element. And it should be used when there are add/remove element in
collapsible element.
- Edit mode: The init order detail won't allow edit anything(input, urgency, upload etc.) until click 'EDIT' button.
- Edit Urgency: (Desktop)Mouse hover and click event(like SBX), special case(Click the last remaining star will clear star for 'noraml’
urgency(no star)). (Mobile)Add stars by click times (0 -> 1 -> 2 -> 0).
- Alert modal: 1. At least one order product alert. 2. Unsaved order detail alert
- Declaration element: The declaration element in order detail only for read(no matter if in 'EDIT' mode). The editable declaration element
modal will display when clicking the declaration element in 'EDIT' mode.

2. Display real order data in order detail
- Admin: Add 'shipped' (whether display tracking info in order detail) and 'sort_order' in order status.
- Add model/common/files as common file functions: add getFilelcon($extension) for file icons in order detail.
- Still use v3's product data structure(product sub types), and we need to replace them after re-design v4 product tables.

3. Common: Summernote.
- Use third-party [summernote] to replace textarea.
- Summernote-lite: Use the version of summernote without Bootstrap.
- Add easyDingZhi.common.summernote to support customize the functions of summernote.
- Modify some style of summernote since the original style is not suitable.

2. Optimizations:
1. Summernote
1. Summernote auto adjust the width of textarea when text too long.
- Limit the width of summernote's editable area and do not allow auto-wrap.
2. Summernote mobile 0000(10000zoom in)

TODOOTrder Detaill ] TODOUI 100 #456

1. Functions:
1. Common(Ul): Order detail (sidepanel)
- Download attach files.
- Upload/download/preview product proof image
- Upload/remove/preview attach files.
- Select text has conflict with click event(open order detail)
-(000000000000000)Remake, R, Not Cn, Sample first
2. Common(Edit/Remove): Order detail
3. Common(Add): Order detail
2. Optimizations:

#6 - 01/14/2025 10:36 AM - Junyi Zhang
- Due date changed from 12/31/2024 to 02/14/2025

#7 - 01/23/2025 01:03 PM - Junyi Zhang
- % Done changed from 0 to 20

#8 - 02/11/2025 10:30 AM - Xihua Fan
- Subject changed from v4.0: Order detail to v4.0: Order detail - 1

#9 - 02/11/2025 04:35 PM - Junyi Zhang
- Description updated

#10 - 02/11/2025 04:47 PM - Junyi Zhang

- Description updated

#11 - 02/11/2025 04:49 PM - Junyi Zhang

- Description updated

#12 - 02/11/2025 05:38 PM - Junyi Zhang
- Copied to0 000 #456: v4.0: Order detail - Step 2 (Niko) added

#13 - 02/11/2025 05:40 PM - Junyi Zhang

- Description updated

#14 - 02/11/2025 05:41 PM - Junyi Zhang
https://redmine.easydingzhi.com/issues/456

- Status changed from 000 to0010
- % Done changed from 20 to 100

#15 - 02/13/2025 04:04 PM - Xihua Fan
- Tracker changed from010 to0000

#16 - 11/28/2025 02:43 PM - Xihua Fan
- Subject changed from v4.0: Order detail - 1 to v4.0: Order detail - Step 1
